﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="OpenServicesSample.Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    <h2>CRO Open Services Sample App</h2>
    
    <span style="font-size:small">Last updated 
    <asp:Label ID="lbl1" runat="server" Text="<%$ AppSettings: lastUpdated %>"></asp:Label>
    </span>
    

    <p>This is a .net sample app for testing <a href="https://services.cro.ie/cws/help">CRO Open Services</a>.</p>
    <h2>Important notes: Read this first</h2>
    <ol>        
        <li>The API key and email address in web.config are for test purposes only.  Restrictions exist when using these credentials.  Please read the notes 
        on the <a target="_blank" href="https://services.cro.ie/examples.aspx">examples</a> to understand the restrictions.</li>        
        <li>The project references a library called CROWS.dll.  This is freely available for <a target="_blank" href="https://services.cro.ie/downloads.aspx">
        download</a>. Alternatively, you can create classes for Company and Submission in the project using the 
        free sample code in CROWS.zip on the downloads page.</li>
        <li>The website also references assemblies in the <a href="http://aspnet.codeplex.com/releases/view/24644" target="_blank">WCF REST Starter Kit Preview 2</a>.  You may want to take a look
        at the <a href="http://msdn.microsoft.com/en-us/netframework/dd729270.aspx" target="_blank">release notes</a>.  It is a good idea to download these libraries for your own re-use.  
        However, this project will still run out of the box as they are included for convenience.    The three assemblies are:
        <ul>
        <li>Microsoft.Http.dll </li>
        <li>Microsoft.Http.Extensions.dll </li>
        <li>Microsoft.ServiceModel.Web.dll</li>
        </ul>
        </li>
        <li>The project also references System.Runtime.Serialization - you will need to manually add this reference to any new projects.</li>
        <li>Only a few fields have been populated in these examples.  Feel free to enter different values, and alter the structure of the query string in the code.</li>
    </ol>
    <h2>Samples</h2>
    <p><a href="companysearch.aspx">Company Search</a></p>
    <p> <a href="onecompany.aspx">Company Details based on Primary Key</a></p>
    <p><a href="paging.aspx">Paging implementation using submissioncount and submissionsearch</a> </p>
    </div>
    </form>
</body>
</html>
