﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="companysearch.aspx.cs" 
Inherits="OpenServicesSample.companysearch" ValidateRequest="false"  %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
    <h4>Have you read about the <a style="color:Red;background-color:Yellow" href="https://services.cro.ie/companies.aspx">restrictions</a> on using the test credentials?</h4>
        
<asp:Panel ID="panelSearch" runat="server" DefaultButton="btnSubmit">
<p>Company number <asp:TextBox ID="txtCompanyNum"  runat="server" MaxLength="8" ></asp:TextBox> 

<p>Company / Business indicator (Default is C for Company. Enter B for Business Names.  E for Everything)
<asp:TextBox ID="txtcompanyBusInd" runat="server" MaxLength="1" Text="C" ></asp:TextBox> 
</p>

<p>
Company name <asp:TextBox ID="txtCompanyName" runat="server"  MaxLength="100">Google</asp:TextBox></p>
<p>Alpha Search (ignores words like Ireland, Limited, removes punctuation) <asp:TextBox ID="txtAlpha" 
runat="server"  MaxLength="100"> </asp:TextBox></p>
<p>Address (Only enter part of the address) <asp:TextBox ID="txtAddress" runat="server" MaxLength="100" ></asp:TextBox>
 Skip <asp:TextBox ID="txtSkip" runat="server" MaxLength="3" Text="0" ></asp:TextBox>
 Max <asp:TextBox ID="txtMax" runat="server" MaxLength="3" Text="5" ></asp:TextBox>
</p>


<div>
<asp:RadioButtonList ID="radioFormat"  runat="server" RepeatDirection="Horizontal" >
<asp:ListItem Value="Xml" Selected="True">Xml</asp:ListItem>
<asp:ListItem Value="Json">Json</asp:ListItem>
</asp:RadioButtonList>
</div>

<div>
<asp:Button ID="btnSubmit" runat="server" Text="Search" onclick="btnSearch_Click"  ></asp:Button>

</div>
</asp:Panel>


<div id="response">
<asp:TextBox ID="txtResponse" runat="server" TextMode="MultiLine" ReadOnly="true" 
        Height="172px" Width="100%"></asp:TextBox>

</div>

<div id="gridContainer" style="border:solid 2px Blue">
<h2>Sample Grid Display (most fields shown here)</h2>
<asp:Repeater ID="repeater1" runat="server" >
<HeaderTemplate>
    <table id="gridResults">
    <thead><tr><td>company_num</td><td>company_bus_ind</td>
        <td>company_name</td><td>company_addr_1</td><td>company_reg_date</td></tr>
    </thead>
</HeaderTemplate>
<ItemTemplate>
<tr><td><%#DataBinder.Eval(Container.DataItem, "company_num")%> </td>
<td><%#DataBinder.Eval(Container.DataItem, "company_bus_ind")%> </td>
<td><%#DataBinder.Eval(Container.DataItem, "company_name")%> </td>
<td><%#DataBinder.Eval(Container.DataItem, "comp_type_desc")%> </td>
<td><%#DataBinder.Eval(Container.DataItem, "company_addr_1")%> </td>
<td><%#DataBinder.Eval(Container.DataItem, "company_addr_2")%> </td>
<td><%#DataBinder.Eval(Container.DataItem, "company_reg_date", "{0:dd/MM/yyyy}")%> </td>
<td><%#DataBinder.Eval(Container.DataItem, "company_status_desc" )%> </td>
<td><%#DataBinder.Eval(Container.DataItem, "company_status_date", "{0:dd/MM/yyyy}")%> </td>
<td><%#DataBinder.Eval(Container.DataItem, "last_ar_date", "{0:dd/MM/yyyy}")%> </td>
</tr>
</ItemTemplate>
<FooterTemplate>
</table>
</FooterTemplate>

</asp:Repeater>
</div>

<div style="border:solid 2px Red">
<asp:Literal ID="literalResponse" runat="server" ></asp:Literal>
</div>

<hr />
	
</div>
</form>
</body>
</html>
